Package org.bukkit.material

# Class MaterialData

java.lang.Object
org.bukkit.material.MaterialData

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `Banner`, `Bed`, `Cake`, `Cauldron`, `Coal`, `CocoaPlant`, `Command`, `Comparator`, `Crops`, `Diode`, `DirectionalContainer`, `Door`, `Dye`, `FlowerPot`, `Gate`, `Hopper`, `LongGrass`, `Mushroom`, `NetherWarts`, `Observer`, `PistonBaseMaterial`, `PistonExtensionMaterial`, `PressurePlate`, `Pumpkin`, `Rails`, `RedstoneWire`, `Sandstone`, `Sign`, `SimpleAttachableMaterialData`, `Skull`, `SpawnEgg`, `Stairs`, `TexturedMaterial`, `Tripwire`, `Vine`, `Wood`, `Wool`

@Deprecated public class MaterialData extends Object implements Cloneable
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Handles specific metadata for certain items or blocks

## Constructor Summary

Constructors
Constructor
Description
`MaterialData(Material type)`
Deprecated.
`MaterialData(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`MaterialData`
`clone()`
Deprecated.
`boolean`
`equals(Object obj)`
Deprecated.
`byte`
`getData()`
Deprecated.
Magic value
`Material`
`getItemType()`
Deprecated.
Gets the Material that this MaterialData represents
`int`
`hashCode()`
Deprecated.
`void`
`setData(byte data)`
Deprecated.
Magic value
`ItemStack`
`toItemStack()`
Deprecated.
this method creates an ItemStack of size 0 which is not generally useful.
`ItemStack`
`toItemStack(int amount)`
Deprecated.
Creates a new ItemStack based on this MaterialData
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MaterialData

public MaterialData(Material type)
Deprecated.

### MaterialData

@Deprecated public MaterialData(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getData

@Deprecated public byte getData()
Deprecated.
Magic value
Gets the raw data in this material

Returns:
  Raw data

### setData

@Deprecated public void setData(byte data)
Deprecated.
Magic value
Sets the raw data of this material

Parameters:
  `data` - New raw data

### getItemType

public Material getItemType()
Deprecated.
Gets the Material that this MaterialData represents

Returns:
  Material represented by this MaterialData

### toItemStack

@Deprecated public ItemStack toItemStack()
Deprecated.
this method creates an ItemStack of size 0 which is not generally useful. Consider `toItemStack(int)`.
Creates a new ItemStack based on this MaterialData

Returns:
  New ItemStack containing a copy of this MaterialData

### toItemStack

public ItemStack toItemStack(int amount)
Deprecated.
Creates a new ItemStack based on this MaterialData

Parameters:
  `amount` - The stack size of the new stack
Returns:
  New ItemStack containing a copy of this MaterialData

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()
Deprecated.

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)
Deprecated.

Overrides:
  `equals` in class `Object`

### clone

public MaterialData clone()
Deprecated.

Overrides:
  `clone` in class `Object`